curl --request PUT \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/connector/configuration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"canImport": true,
"shouldImportItemsAndCategories": true,
"shouldImportOrdersAndCustomers": true,
"shouldImportImages": true,
"canUpload": true,
"shouldUploadItemComplete": true,
"shouldUploadItemPriceRestricted": true,
"shouldUploadItemStockRestricted": true,
"shouldUploadCustomers": true,
"shouldUploadImages": true,
"shouldRefreshExistingItems": true,
"shouldRefreshCustomers": true,
"shouldDeleteImagesOnImport": true,
"shouldWawiCalculateTaxRate": true,
"shouldWawiCalculateTaxRateForShipping": true,
"pullCount": 123,
"quickSyncCount": 123,
"sendOnlyAssignedManufacturers": true,
"maximumTransferRate": 123,
"imagesCount": 123,
"entityCount": 123,
"shippingCountryIso": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/connector/configuration"
payload = {
"canImport": True,
"shouldImportItemsAndCategories": True,
"shouldImportOrdersAndCustomers": True,
"shouldImportImages": True,
"canUpload": True,
"shouldUploadItemComplete": True,
"shouldUploadItemPriceRestricted": True,
"shouldUploadItemStockRestricted": True,
"shouldUploadCustomers": True,
"shouldUploadImages": True,
"shouldRefreshExistingItems": True,
"shouldRefreshCustomers": True,
"shouldDeleteImagesOnImport": True,
"shouldWawiCalculateTaxRate": True,
"shouldWawiCalculateTaxRateForShipping": True,
"pullCount": 123,
"quickSyncCount": 123,
"sendOnlyAssignedManufacturers": True,
"maximumTransferRate": 123,
"imagesCount": 123,
"entityCount": 123,
"shippingCountryIso": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
canImport: true,
shouldImportItemsAndCategories: true,
shouldImportOrdersAndCustomers: true,
shouldImportImages: true,
canUpload: true,
shouldUploadItemComplete: true,
shouldUploadItemPriceRestricted: true,
shouldUploadItemStockRestricted: true,
shouldUploadCustomers: true,
shouldUploadImages: true,
shouldRefreshExistingItems: true,
shouldRefreshCustomers: true,
shouldDeleteImagesOnImport: true,
shouldWawiCalculateTaxRate: true,
shouldWawiCalculateTaxRateForShipping: true,
pullCount: 123,
quickSyncCount: 123,
sendOnlyAssignedManufacturers: true,
maximumTransferRate: 123,
imagesCount: 123,
entityCount: 123,
shippingCountryIso: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/connector/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/connector/configuration",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'canImport' => true,
'shouldImportItemsAndCategories' => true,
'shouldImportOrdersAndCustomers' => true,
'shouldImportImages' => true,
'canUpload' => true,
'shouldUploadItemComplete' => true,
'shouldUploadItemPriceRestricted' => true,
'shouldUploadItemStockRestricted' => true,
'shouldUploadCustomers' => true,
'shouldUploadImages' => true,
'shouldRefreshExistingItems' => true,
'shouldRefreshCustomers' => true,
'shouldDeleteImagesOnImport' => true,
'shouldWawiCalculateTaxRate' => true,
'shouldWawiCalculateTaxRateForShipping' => true,
'pullCount' => 123,
'quickSyncCount' => 123,
'sendOnlyAssignedManufacturers' => true,
'maximumTransferRate' => 123,
'imagesCount' => 123,
'entityCount' => 123,
'shippingCountryIso' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/connector/configuration"
payload := strings.NewReader("{\n \"canImport\": true,\n \"shouldImportItemsAndCategories\": true,\n \"shouldImportOrdersAndCustomers\": true,\n \"shouldImportImages\": true,\n \"canUpload\": true,\n \"shouldUploadItemComplete\": true,\n \"shouldUploadItemPriceRestricted\": true,\n \"shouldUploadItemStockRestricted\": true,\n \"shouldUploadCustomers\": true,\n \"shouldUploadImages\": true,\n \"shouldRefreshExistingItems\": true,\n \"shouldRefreshCustomers\": true,\n \"shouldDeleteImagesOnImport\": true,\n \"shouldWawiCalculateTaxRate\": true,\n \"shouldWawiCalculateTaxRateForShipping\": true,\n \"pullCount\": 123,\n \"quickSyncCount\": 123,\n \"sendOnlyAssignedManufacturers\": true,\n \"maximumTransferRate\": 123,\n \"imagesCount\": 123,\n \"entityCount\": 123,\n \"shippingCountryIso\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/connector/configuration")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"canImport\": true,\n \"shouldImportItemsAndCategories\": true,\n \"shouldImportOrdersAndCustomers\": true,\n \"shouldImportImages\": true,\n \"canUpload\": true,\n \"shouldUploadItemComplete\": true,\n \"shouldUploadItemPriceRestricted\": true,\n \"shouldUploadItemStockRestricted\": true,\n \"shouldUploadCustomers\": true,\n \"shouldUploadImages\": true,\n \"shouldRefreshExistingItems\": true,\n \"shouldRefreshCustomers\": true,\n \"shouldDeleteImagesOnImport\": true,\n \"shouldWawiCalculateTaxRate\": true,\n \"shouldWawiCalculateTaxRateForShipping\": true,\n \"pullCount\": 123,\n \"quickSyncCount\": 123,\n \"sendOnlyAssignedManufacturers\": true,\n \"maximumTransferRate\": 123,\n \"imagesCount\": 123,\n \"entityCount\": 123,\n \"shippingCountryIso\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/connector/configuration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"canImport\": true,\n \"shouldImportItemsAndCategories\": true,\n \"shouldImportOrdersAndCustomers\": true,\n \"shouldImportImages\": true,\n \"canUpload\": true,\n \"shouldUploadItemComplete\": true,\n \"shouldUploadItemPriceRestricted\": true,\n \"shouldUploadItemStockRestricted\": true,\n \"shouldUploadCustomers\": true,\n \"shouldUploadImages\": true,\n \"shouldRefreshExistingItems\": true,\n \"shouldRefreshCustomers\": true,\n \"shouldDeleteImagesOnImport\": true,\n \"shouldWawiCalculateTaxRate\": true,\n \"shouldWawiCalculateTaxRateForShipping\": true,\n \"pullCount\": 123,\n \"quickSyncCount\": 123,\n \"sendOnlyAssignedManufacturers\": true,\n \"maximumTransferRate\": 123,\n \"imagesCount\": 123,\n \"entityCount\": 123,\n \"shippingCountryIso\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"canImport": true,
"shouldImportItemsAndCategories": true,
"shouldImportOrdersAndCustomers": true,
"shouldImportImages": true,
"canUpload": true,
"shouldUploadItemComplete": true,
"shouldUploadItemPriceRestricted": true,
"shouldUploadItemStockRestricted": true,
"shouldUploadCustomers": true,
"shouldUploadImages": true,
"shouldRefreshExistingItems": true,
"shouldRefreshCustomers": true,
"shouldDeleteImagesOnImport": true,
"shouldWawiCalculateTaxRate": true,
"shouldWawiCalculateTaxRateForShipping": true,
"pullCount": 123,
"quickSyncCount": 123,
"sendOnlyAssignedManufacturers": true,
"maximumTransferRate": 123,
"imagesCount": 123,
"entityCount": 123,
"shippingCountryIso": "<string>",
"dummyCategoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Save Connector Configuration
Replaces the synchronization configuration of a connector account. This is a full replacement: send all fields; omitted optional fields are set to null (no limit / not set). To change individual fields, use “PATCH /v2/sales-channels//connector” or “UpdateConnector”. Only the configuration is changed, and the endpoint is not contacted. “DummyCategoryId” is managed by JTL-Wawi and keeps its value. Endpoint-reported fields (PlatformName, PlatformVersion, ProtocolVersion, EndpointVersion, IsOldConnector, ServerInfo) cannot be written. Unknown properties are ignored in REST and rejected in GraphQL.
curl --request PUT \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/connector/configuration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"canImport": true,
"shouldImportItemsAndCategories": true,
"shouldImportOrdersAndCustomers": true,
"shouldImportImages": true,
"canUpload": true,
"shouldUploadItemComplete": true,
"shouldUploadItemPriceRestricted": true,
"shouldUploadItemStockRestricted": true,
"shouldUploadCustomers": true,
"shouldUploadImages": true,
"shouldRefreshExistingItems": true,
"shouldRefreshCustomers": true,
"shouldDeleteImagesOnImport": true,
"shouldWawiCalculateTaxRate": true,
"shouldWawiCalculateTaxRateForShipping": true,
"pullCount": 123,
"quickSyncCount": 123,
"sendOnlyAssignedManufacturers": true,
"maximumTransferRate": 123,
"imagesCount": 123,
"entityCount": 123,
"shippingCountryIso": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/connector/configuration"
payload = {
"canImport": True,
"shouldImportItemsAndCategories": True,
"shouldImportOrdersAndCustomers": True,
"shouldImportImages": True,
"canUpload": True,
"shouldUploadItemComplete": True,
"shouldUploadItemPriceRestricted": True,
"shouldUploadItemStockRestricted": True,
"shouldUploadCustomers": True,
"shouldUploadImages": True,
"shouldRefreshExistingItems": True,
"shouldRefreshCustomers": True,
"shouldDeleteImagesOnImport": True,
"shouldWawiCalculateTaxRate": True,
"shouldWawiCalculateTaxRateForShipping": True,
"pullCount": 123,
"quickSyncCount": 123,
"sendOnlyAssignedManufacturers": True,
"maximumTransferRate": 123,
"imagesCount": 123,
"entityCount": 123,
"shippingCountryIso": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
canImport: true,
shouldImportItemsAndCategories: true,
shouldImportOrdersAndCustomers: true,
shouldImportImages: true,
canUpload: true,
shouldUploadItemComplete: true,
shouldUploadItemPriceRestricted: true,
shouldUploadItemStockRestricted: true,
shouldUploadCustomers: true,
shouldUploadImages: true,
shouldRefreshExistingItems: true,
shouldRefreshCustomers: true,
shouldDeleteImagesOnImport: true,
shouldWawiCalculateTaxRate: true,
shouldWawiCalculateTaxRateForShipping: true,
pullCount: 123,
quickSyncCount: 123,
sendOnlyAssignedManufacturers: true,
maximumTransferRate: 123,
imagesCount: 123,
entityCount: 123,
shippingCountryIso: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/connector/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/connector/configuration",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'canImport' => true,
'shouldImportItemsAndCategories' => true,
'shouldImportOrdersAndCustomers' => true,
'shouldImportImages' => true,
'canUpload' => true,
'shouldUploadItemComplete' => true,
'shouldUploadItemPriceRestricted' => true,
'shouldUploadItemStockRestricted' => true,
'shouldUploadCustomers' => true,
'shouldUploadImages' => true,
'shouldRefreshExistingItems' => true,
'shouldRefreshCustomers' => true,
'shouldDeleteImagesOnImport' => true,
'shouldWawiCalculateTaxRate' => true,
'shouldWawiCalculateTaxRateForShipping' => true,
'pullCount' => 123,
'quickSyncCount' => 123,
'sendOnlyAssignedManufacturers' => true,
'maximumTransferRate' => 123,
'imagesCount' => 123,
'entityCount' => 123,
'shippingCountryIso' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/connector/configuration"
payload := strings.NewReader("{\n \"canImport\": true,\n \"shouldImportItemsAndCategories\": true,\n \"shouldImportOrdersAndCustomers\": true,\n \"shouldImportImages\": true,\n \"canUpload\": true,\n \"shouldUploadItemComplete\": true,\n \"shouldUploadItemPriceRestricted\": true,\n \"shouldUploadItemStockRestricted\": true,\n \"shouldUploadCustomers\": true,\n \"shouldUploadImages\": true,\n \"shouldRefreshExistingItems\": true,\n \"shouldRefreshCustomers\": true,\n \"shouldDeleteImagesOnImport\": true,\n \"shouldWawiCalculateTaxRate\": true,\n \"shouldWawiCalculateTaxRateForShipping\": true,\n \"pullCount\": 123,\n \"quickSyncCount\": 123,\n \"sendOnlyAssignedManufacturers\": true,\n \"maximumTransferRate\": 123,\n \"imagesCount\": 123,\n \"entityCount\": 123,\n \"shippingCountryIso\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/connector/configuration")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"canImport\": true,\n \"shouldImportItemsAndCategories\": true,\n \"shouldImportOrdersAndCustomers\": true,\n \"shouldImportImages\": true,\n \"canUpload\": true,\n \"shouldUploadItemComplete\": true,\n \"shouldUploadItemPriceRestricted\": true,\n \"shouldUploadItemStockRestricted\": true,\n \"shouldUploadCustomers\": true,\n \"shouldUploadImages\": true,\n \"shouldRefreshExistingItems\": true,\n \"shouldRefreshCustomers\": true,\n \"shouldDeleteImagesOnImport\": true,\n \"shouldWawiCalculateTaxRate\": true,\n \"shouldWawiCalculateTaxRateForShipping\": true,\n \"pullCount\": 123,\n \"quickSyncCount\": 123,\n \"sendOnlyAssignedManufacturers\": true,\n \"maximumTransferRate\": 123,\n \"imagesCount\": 123,\n \"entityCount\": 123,\n \"shippingCountryIso\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/connector/configuration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"canImport\": true,\n \"shouldImportItemsAndCategories\": true,\n \"shouldImportOrdersAndCustomers\": true,\n \"shouldImportImages\": true,\n \"canUpload\": true,\n \"shouldUploadItemComplete\": true,\n \"shouldUploadItemPriceRestricted\": true,\n \"shouldUploadItemStockRestricted\": true,\n \"shouldUploadCustomers\": true,\n \"shouldUploadImages\": true,\n \"shouldRefreshExistingItems\": true,\n \"shouldRefreshCustomers\": true,\n \"shouldDeleteImagesOnImport\": true,\n \"shouldWawiCalculateTaxRate\": true,\n \"shouldWawiCalculateTaxRateForShipping\": true,\n \"pullCount\": 123,\n \"quickSyncCount\": 123,\n \"sendOnlyAssignedManufacturers\": true,\n \"maximumTransferRate\": 123,\n \"imagesCount\": 123,\n \"entityCount\": 123,\n \"shippingCountryIso\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"canImport": true,
"shouldImportItemsAndCategories": true,
"shouldImportOrdersAndCustomers": true,
"shouldImportImages": true,
"canUpload": true,
"shouldUploadItemComplete": true,
"shouldUploadItemPriceRestricted": true,
"shouldUploadItemStockRestricted": true,
"shouldUploadCustomers": true,
"shouldUploadImages": true,
"shouldRefreshExistingItems": true,
"shouldRefreshCustomers": true,
"shouldDeleteImagesOnImport": true,
"shouldWawiCalculateTaxRate": true,
"shouldWawiCalculateTaxRateForShipping": true,
"pullCount": 123,
"quickSyncCount": 123,
"sendOnlyAssignedManufacturers": true,
"maximumTransferRate": 123,
"imagesCount": 123,
"entityCount": 123,
"shippingCountryIso": "<string>",
"dummyCategoryId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Authorizations
Scopes
Path Parameters
Body
Request model for SaveConnectorConfiguration command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
Response
The configuration was replaced. Returns the configuration as persisted, re-read after the write (not an echo of the request), so normalized values (uppercased ShippingCountryIso, omitted optionals resolved to null) and the preserved read-only DummyCategoryId are visible to the caller.
The synchronization configuration of a connector account. Endpoint-reported information (platform, versions, server info) is not part of this model.
Was this page helpful?